(function ($) {
	const captureZpFunds = document.querySelector('.capture_funds_zeamster');
	const confirmCapture = document.getElementById('zp_update_status');

	if (captureZpFunds) { 
		captureZpFunds.addEventListener('click', showZpCaptureModal);
	}

	if (confirmCapture) { 
		confirmCapture.addEventListener('click', submitStatusUpdate)
	}

	function showZpCaptureModal( event ) { 
		$('#capture_zp_auth_modal').modal('show')
	}

	function submitStatusUpdate( event ) { 
		const customSelection = document.getElementById('zp_status_select').value;
		const captureArray = ['wc-processing', 'wc-completed'];

		if (!customSelection.includes(customSelection)) { 
			console.log('returning false')
			return false;
		}

		document.getElementById('order_status').value = customSelection;

		if ( document.getElementById('order_status').value === "wc-processing" 
		  || document.getElementById('order_status').value === "wc-completed" ) { 
			  console.log('submitting')
			  captureZpFunds.closest('form').submit()
		}
	}
	
})(jQuery);